/*******************************************************************************
 * Copyright (c) 2003 Berthold Daum.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     Berthold Daum
 *******************************************************************************/
package com.bdaum.SpellChecker.preferences;

import org.eclipse.jface.preference.IPreferenceStore;

import com.bdaum.SpellChecker.SpellCheckerPlugin;

/**
 * This class implements the preference page for the basic spell checker
 * options.
 */

public class DefaultSpellCheckerPreferencePage extends
		SpellCheckerPreferencePage {

	/**
	 * Returns the preference store of the default preferences
	 * 
	 * @return - the default preference store
	 */
	public IPreferenceStore doGetPreferenceStore() {
		return SpellCheckerPlugin.getDefault().getPreferenceStore();
	}
}