/*******************************************************************************
 * Copyright (c) 2003 Berthold Daum.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     Berthold Daum
 *******************************************************************************/
package com.bdaum.SpellChecker;

/** 
 * This class implements the default tokenizer
 */
public class DocumentWordTokenizer extends AbstractDocumentWordTokenizer {
	/**
	 * @see com.bdaum.SpellChecker.AbstractDocumentWordTokenizer
	 *                                          #parseCharacter(char)
	 */
	protected void parseCharacter(char ch) {
	}
	/**
	 * @see com.bdaum.SpellChecker.AbstractDocumentWordTokenizer
	 *                                          #isToBeChecked()
	 */
	protected boolean isToBeChecked() {
		return true;
	}
	/**
	 * @see com.bdaum.SpellChecker.AbstractDocumentWordTokenizer
	 *                                    #isToBeChecked(java.lang.String)
	 */
	protected boolean isToBeChecked(String word) {
		return true;
	}
}
